package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * @author WangYao
 * @date 2018/6/25 16:42
 * @description 需求审核结果字典
 */
public class DicRequirementAuditResult {
    public static final String APPROVED = "审核通过";
    public static final String REJECTED = "审核不通过";

    private static DicRequirementAuditResult instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicRequirementAuditResult(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(APPROVED, APPROVED);
        dicMap.put(REJECTED, REJECTED);
    }

    public static DicRequirementAuditResult getInstacne(){
        if (instance == null)
        {
            instance = new DicRequirementAuditResult();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
